Updates the territory with the specified key ///

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

sales_territory
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

description

Description of the territory

string

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "00b63a37-83a6-41af-88f2-ae09b6880733",
  "code": "sample string 2",
  "description": "sample string 3",
  "sales_organization_id": "e36dff49-ac3b-4ffc-86ab-b26b7ed2c373",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "236c491e-cad2-4cc0-83a2-442e7af6b57b",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "5f3e54c6-3cb0-4777-bcc2-158392b9354e",
    "db_currency_id": "a1892324-92f3-48d6-ba26-afa8cac017b9",
    "db_language_id": "cd4d1d58-6cb4-4724-82df-d31a3907766f",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-03-18T11:16:36.8800427+00:00"
  },
  "modified_dateutc": "2026-03-18T11:16:36.8800427+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.